idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell2010

Idris.REPL.Browse

Description

Synopsis

- namespacesInNS :: [String] -> Idris [[String]]
- namesInNS :: [String] -> Idris [Name]

# Documentation

namespacesInNS :: [String] -> Idris [[String]] #

Find the sub-namespaces of a given namespace. The components should be in display order rather than the order that they are in inside of NS constructors.

namesInNS :: [String] -> Idris [Name] #

Find the user-accessible names that occur directly within a given namespace. The components should be in display order rather than the order that they are in inside of NS constructors.